import { decodeFields } from '@dvn/core/doldurma/src/decoder';
import { Space } from '@dvn/core/models/space';
import { TableConfig } from '@dvn/core/models/table-config';
import { capitalize } from '@dvn/core/util/string';
export class MembershipConfig extends TableConfig {
  static decode(json) {
    const model = Object.assign(Object.create(MembershipConfig.prototype), json);
    model.fields = decodeFields(model.fields);
    model.space = Space.decode(model.space);
    return model;
  }
  roleNameCapital() {
    return capitalize(this.roleName);
  }
  ;
}
